/*
 * $Id: ActivityEdit.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef ACTIVITYEDIT_H
#define ACTIVITYEDIT_H

#include "ActivityEditBase.h"
#include "TimeSleuthDocument.h"

class ActivityCategory;
class Activity;

class ActivityEdit : public ActivityEditBase
{
    Q_OBJECT
public:
    ActivityEdit(Activity* a, TimeSleuthDocument* doc, QWidget* parent = 0, 
                 const char* name = 0, bool modal = false, WFlags fl = 0 );
    ~ActivityEdit();

    Activity* currentActivity;
    ActivityCategory* category;
    
private:
    void setupActivity();
    void setupCategories();
    
    TimeSleuthDocument* document;
    QList<ActivityCategory>* activeList;
    
private slots:
    void categoryActivated(int);
    void maintainCategories();

protected slots:
    virtual void accept();
};

#endif	// ACTIVITYEDIT_H
