/*
 * $Id: ActivityList.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef ACTIVITYLIST_H
#define ACTIVITYLIST_H

#include "ActivityListBase.h"
#include "TimeSleuthDocument.h"

class TSTable;
class QAccel;

class ActivityList : public ActivityListBase
{ 
    Q_OBJECT

public:
    ActivityList(TimeSleuthDocument* doc, QWidget* parent = 0, 
                 const char* name = 0, WFlags fl = 0);
    ~ActivityList();

private:
    void updateEnabled();
    void setupList();
    void updateView();
    TimeSleuthDocument* document;
    Activity* selectedActivity;

    TSTable* tblActivityList;
    QList<Activity>* activeList;
    QAccel* accel;
	    
private slots:
    void cellChanged(int,int);
    void newActivity();
    void editActivity();
    void deleteActivity();
    
protected slots:
    virtual void hide();
};

#endif // ACTIVITYLIST_H

