/*
 * $Id: BalloonTip.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef BALLOONTIP_H
#define BALLOONTIP_H

#include <qwidget.h>
#include <qstring.h>
#include <qpoint.h>
#include <qrect.h>

class QPaintEvent;

class BalloonTip : public QWidget
{
    Q_OBJECT

public:
    static void showTip(QWidget* parent, QString message, QPoint pos, int
    displaySecs, int startShow, int numShows, QString configName, QString
    configGroup, QString configEntry);

private:
    BalloonTip(QWidget* parent, QString message, QPoint pointPos, 
               int displaySecs);

public:    
    ~BalloonTip();

protected:
    virtual void paintEvent(QPaintEvent*);

private slots:
    void timerFired();

private:
    static bool checkDisplay(QString configName, QString configGroup,
                             QString configEntry, int numShows, int
                             startShow);
    void setBoundingRect();

    QString message; 
    QRect boundingRect; 
};

#endif // BALLOONTIP_H

