/*
 * $Id: CategoryList.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef CATEGORYLIST_H
#define CATEGORYLIST_H

#include "CategoryListBase.h"
#include "TimeSleuthDocument.h"

class TSTable;
class QAccel;

class CategoryList : public CategoryListBase
{ 
    Q_OBJECT

public:
    CategoryList(TimeSleuthDocument* doc, QWidget* parent = 0, 
                 const char* name = 0, WFlags fl = 0);
    ~CategoryList();

private:
    void updateEnabled();
    void setupList();
    void updateView();
    TimeSleuthDocument* document;
    ActivityCategory* selectedCategory;

    TSTable* tblCategoryList;
    QList<ActivityCategory>* activeList;
    QAccel* accel;
    
private slots:
    void cellChanged(int,int);
    void newCategory();
    void editCategory();
    void deleteCategory();
    
protected slots:
    virtual void hide();
};

#endif // CATEGORYLIST_H

