/*
 * $Id: Configuration.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "Configuration.h"

#include <qpe/config.h>

Configuration::Configuration() : QObject()
{
}

Configuration::~Configuration() 
{
}

bool Configuration::twelveHourClock() 
{
    Config config("qpe");
    config.setGroup("Time");
    return config.readBoolEntry("AMPM", true);
}

Configuration::OperatingMode Configuration::mode()
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    return (OperatingMode)config.readNumEntry("mode", 0);
}

QString Configuration::serverAddress()
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    return config.readEntry("ServerAddress", "www.timesleuth.com");
}

void Configuration::setMode(OperatingMode mode)
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    config.writeEntry("mode", (int)mode);
}

bool Configuration::allowConcurrentTasks()
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    return config.readBoolEntry("AllowConcurrentTasks", false);
}

void Configuration::setAllowConcurrentTasks(bool state)
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    config.writeEntry("AllowConcurrentTasks", state);
}

QString Configuration::serverUserID()
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    return config.readEntry("ServerUserID", "");
}

QString Configuration::serverPassword()
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    return config.readEntryCrypt("ServerPassword", "");
}

void Configuration::setServerAddress(QString address)
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    config.writeEntry("ServerAddress", address);
}

void Configuration::setServerUserID(QString userID)
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    config.writeEntry("ServerUserID", userID);
}

void Configuration::setServerPassword(QString password)
{
    Config config("timesleuthqpe");
    config.setGroup("LocalSettings");
    config.writeEntryCrypt("ServerPassword", password);
}

