/*
 * $Id: Configuration.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include <qobject.h>
#include <qstring.h>

class Configuration : QObject 
{
    Q_OBJECT

public:
    Configuration(); 
    ~Configuration();

    enum OperatingMode
    {
        UNDEFINED_MODE = 0,
        PERSONAL_MODE = 1,
        GROUP_MODE = 2
    };

    bool allowConcurrentTasks();
    void setAllowConcurrentTasks(bool);
    OperatingMode mode();
    void setMode(OperatingMode);
    QString serverAddress();
    QString serverUserID();
    QString serverPassword();
    void setServerAddress(QString address);
    void setServerUserID(QString userID);
    void setServerPassword(QString password);
    static bool twelveHourClock();
};

#endif  // CONFIGURATION_H
