/*
 * $Id: FileSelectDialog.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "FileSelectDialog.h"

#include <qpe/applnk.h>
#include <qpe/fileselector.h>

FileSelectDialog::FileSelectDialog(QWidget* parent, const char* name)
    : ModalWidget(parent, name, Qt::WType_Modal)
{
    setCaption(tr("TimeSleuth - View Saved Report"));

    fs = new FileSelector("application/x-timesleuthqpereport", this,
        "FileSelector", false, false);

    fs->setGeometry(QRect(1, 1, 236, 280));
    fs->show();
    
    connect(fs, SIGNAL(fileSelected(const DocLnk&)), this, 
            SLOT(fileSelected(const DocLnk&)));   
}

FileSelectDialog::~FileSelectDialog()
{
}

void FileSelectDialog::fileSelected(const DocLnk& docLnk)
{
    filename = docLnk.file();
    close(); 
}

