/*
 * $Id: MainWidget.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include "MainWidgetBase.h"
#include "TimeSleuthMainWindow.h"

#include <qmenubar.h>

class QTableSelection;
class QMenuBar;
class TimeSleuthDocument;
class TSTask;
class TSTable;

class MainWidget : public MainWidgetBase
{ 
    Q_OBJECT

public:
    MainWidget( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
    ~MainWidget();

    void update();
    void updateRow(TSTask* t);
    TimeSleuthDocument* document();    
    void blankUnusedButtons();
    void setSelectedTask(int col = -1);
    void updateShortcutTimer(TSTask* buttonTask, QDateTime dt, 
                             QLabel* lblTaskStatus);

    TSTask* selectedTask;
    TSTable* tblTaskList;
    
public slots:
    void updateShortcutTimers();	

signals:
    void taskChanged();

private:
    void initTable();
    void populateTableRow(TSTask*, int);
    void setButton(QToolButton* btnTask, TSTask** buttonTask, TSTask* task);
    
    TSTask* button1Task;
    TSTask* button2Task;
    TSTask* button3Task;
    
private slots:
    void tableCellChanged(int row, int col);
};

#endif // MAINWIDGET_H
