/*
 * $Id: ModalWidget.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "ModalWidget.h"

#include <qapplication.h>
#include <qevent.h>
#include <qnamespace.h>

ModalWidget::ModalWidget(QWidget* parent, const char* name, 
    WFlags fl) : QWidget(parent, name, fl)
{
    
}

ModalWidget::~ModalWidget()
{
}

void ModalWidget::hide()
{
    QWidget::hide();
    qApp->exit_loop();
}

void ModalWidget::keyPressEvent(QKeyEvent* e)
{
    if (e->key() == Qt::Key_Escape)
    {
        close();
    }
    else
        QWidget::keyPressEvent(e);
}

