/*
 * $Id: PurgeTasks.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef PURGETASKS_H
#define PURGETASKS_H

#include "PurgeTasksBase.h"

#include <qdatetime.h>

class QPopupMenu;
class DateBookMonth;

class PurgeTasks : public PurgeTasksBase
{ 
    Q_OBJECT

public:
    PurgeTasks(QWidget* parent = 0, const char* name = 0, 
        bool modal = FALSE, WFlags fl = 0);
    ~PurgeTasks();

    QDateTime getDateTime();
    
public slots:
    void setDateTime(QDateTime);

private:
    void setupDatePicker();
    void setupTimes();
    QDateTime dateTime;
    QPopupMenu *popup;
    DateBookMonth *picker;

private slots:
    void pmChanged(int state);
    void specifiedStateChanged(int state);
    void hourChanged(int value);
    void minuteChanged(int value);
    void setDate(int y, int m, int d);
    void pickDate();
    void gotHideDate();

protected slots:
    virtual void accept();
};

#endif // PURGETASKS_H
