/*
 * $Id: Report.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "Report.h"
#include "TimeSleuthDocument.h"
#include "ReportViewer.h"

#include <qapplication.h>
#include <qstring.h>
#include <qwidget.h>
#include <qdialog.h>
#include <qpe/config.h>

Report::Report(QWidget* i_owner, TimeSleuthDocument* i_document) : 
              owner(i_owner), document(i_document)
{
}

Report::~Report()
{
}

void Report::invoke()
{
    qDebug("Report: %s", getMenuName().latin1());

    // Retireve any existing default parameters
    Config config("timesleuthqpe");
    config.setGroup(QString("Report: ") + getMenuName());
    QString parameters = config.readEntry("DefaultParameters"); 
    if (!parameters.isEmpty())
        setParametersFromString(parameters);

    // Prompt user for report parameters
    if (!setParametersFromUI())
    {
        qDebug("User cancelled report");
        return;
    }

    // Save the parameters for this report 
    config.writeEntry("DefaultParameters", getParameters());

    // Show the report
    ReportViewer reportDlg(this, owner, "Report", Qt::WType_Modal);
    reportDlg.showMaximized();
    reportDlg.show();
    qApp->enter_loop();
}

