/*
 * $Id: Report.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef REPORT_H
#define REPORT_H

#include <qobject.h>
#include <qlist.h>

class TimeSleuthDocument;
class QWidget;
class ModalWidget;

#define HEADER_BGCOLOR "#c0c0c0"
#define DATA_BGCOLOR "#e0e0e0"
#define TOTALS_BGCOLOR "#c0ffc0"

/*
 * Pure virtual class to define report interface
 */
class Report : public QObject
{
    Q_OBJECT
public:
    Report(QWidget*, TimeSleuthDocument*);
    virtual ~Report();
    
    virtual QString getMenuName() = 0;
    virtual bool setParametersFromUI() = 0;
    virtual void setParametersFromString(QString params) = 0;
    virtual QString getParameters() = 0;
    virtual QString getReportText() = 0;
    virtual QString getReportFileName() = 0;
    
public slots:
    void invoke();
	
protected:
    QWidget* owner;
    TimeSleuthDocument* document;

};

#endif
