/*
 * $Id: ReportParams1.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef REPORTPARAMS1_H
#define REPORTPARAMS1_H

#include "ReportParams1Base.h"

#include <qdatetime.h>

class QPopupMenu;
class DateBookMonth;

class ReportParams1 : public ReportParams1Base
{ 
    Q_OBJECT

public:
    ReportParams1(QWidget* parent = 0, const char* name = 0, 
        bool modal = FALSE, WFlags fl = 0);
    ~ReportParams1();

    QDate getFromDate();
    QDate getToDate();
    
public slots:
    void setFromDate(QDate);
    void setToDate(QDate);

private:
    void setupDatePicker();
    void setupTimes();
    QDate fromDate;
    QDate toDate;
    QPopupMenu *popup;
    DateBookMonth *picker;

private slots:
    void setFromDate(int y, int m, int d);
    void setToDate(int y, int m, int d);
    void pickFromDate();
    void pickToDate();
    void gotHideFromDate();
    void gotHideToDate(); 

protected slots:
    virtual void accept();
};

#endif // REPORTPARAMS1_H
