/*
 * $Id: ReportViewer.cpp,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#include "ReportViewer.h"
#include "Report.h"

#include <qpushbutton.h>
#include <qtextview.h>
#include <qmessagebox.h>
#include <qpe/applnk.h>
#include <qpe/filemanager.h>

ReportViewer::ReportViewer(Report* rep, QWidget* parent, const char* name, 
    WFlags fl) : ModalWidget(parent, name, fl), report(rep)
{
    setCaption( tr( "TimeSleuth - Report" ) );
    save = new QPushButton(tr("Save Report for Viewing Later"), this);
    save->setGeometry(QRect(1, 260, 236, 20));
    save->setFocusPolicy(QWidget::NoFocus); 
    save->show();
    connect(save, SIGNAL(clicked()), this, SLOT(saveReport()));
    tv = new QTextView(this);
    tv->setGeometry(QRect(1, 1, 236, 255));
    tv->setText(report->getReportText());
    tv->show();
}

ReportViewer::~ReportViewer()
{
}

void ReportViewer::saveReport()
{
    QString fileName = report->getReportFileName();
    qDebug(tr("filename=%1").arg(fileName));
    DocLnk lnk;
    qDebug("DocLnk created");
    lnk.setName(fileName);
    qDebug("file name set");
    lnk.setType("application/x-timesleuthqpereport");
    qDebug("type set");
    FileManager fm;
    qDebug("FileManager created");
    fm.saveFile(lnk, report->getReportText());
    qDebug("file saved");
    QMessageBox::information(this, tr("Report Saved"),
        tr("Report document name:\n%1").arg(fileName), QMessageBox::Ok);
}


