/*
 * $Id: Synchronize.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef SYNCHRONIZE_H
#define SYNCHRONIZE_H

#include "SynchronizeBase.h"
#include <qdatetime.h>

class TimeSleuthDocument;
class QSocket;
class QAccel;

class Synchronize : public SynchronizeBase
{ 
    Q_OBJECT

public:
    Synchronize(TimeSleuthDocument* doc, QWidget* parent = 0, 
        const char* name = 0, WFlags fl = 0);
    ~Synchronize();

    bool complete;

private:
    void message(QString message, bool success);

    enum ReceiveState
    {
        WaitingForStart = 0,
        WaitingForEnd = 1,
        WaitingForMsg = 2,
        Complete = 3
    };
    
    QSocket* socket;
    TimeSleuthDocument* document;
    QDateTime connectTime;
    QString data;
    QString msg;
    ReceiveState state;
    QTimer* timer;
    QAccel* accel;
    
private slots:    
    void socketConnected();
    void socketHostFound();
    void socketConnectionClosed();
    void socketReadyRead();
    void socketTimeout();
    void socketError(int);
    
protected slots:
    virtual void hide();

};

#endif // SYNCRHONIZE_H

