/*
 * $Id: TSTable.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef TSTABLE_H
#define TSTABLE_H

#include <qtable.h>

class TSTable : public QTable
{
    Q_OBJECT

public:
    TSTable( QWidget *parent = 0, const char * name = 0 );
    ~TSTable();
    void clear();
    void setPaintingEnabled( bool e );
    
signals:
    void ok();

protected:
    virtual void paintEvent( QPaintEvent * );
    virtual void viewportPaintEvent( QPaintEvent * );
    virtual void keyPressEvent(QKeyEvent* e);

protected slots:
    virtual void rowHeightChanged( int row );

private:
    bool enablePainting;

private slots:
    void mouseClicked(int, int, int, const QPoint&);
};

#endif  // TSTABLE_H

