/*
 * $Id: Task.h,v 1.1 2002/10/31 20:06:18 robert Exp $
 *
 * Copyright (C) 2002 Dafydd Walters <dwalters@users.sourceforge.net>
 * 
 * This program may be modified or redistributed under the terms of the GNU
 * General Public License (GPL), version 2 or later. A copy of the GNU GPL 
 * should have accompanied the source code of this program. If not, please 
 * write to the Free Software Foundation Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * This program is distributed without any warranty.
 */ 

#ifndef TASK_H
#define TASK_H

#include <qobject.h>
#include <qdatetime.h>

class Activity;

class TSTask : public QObject 
{
    Q_OBJECT

public:
    TSTask();
    TSTask(int i_id, QDateTime i_start, QDateTime i_stop, int i_shortcutPos,
            Activity* i_activity, QDateTime i_lastModified = QDateTime(), 
            bool i_inDatabase = false);
    ~TSTask();

    int duration();
    int operator<(TSTask& t);
    int operator==(TSTask& t);
    void modified();
    QDateTime start();
    QDateTime stop();
    void setStart(QDateTime);
    void setStop(QDateTime);

    int id;
    int shortcutPos;
    Activity* activity;
    bool inDatabase;
    QDateTime lastModified;
    QString startString;
    QString stopString;
    
private:
    QDateTime startTime;
    QDateTime stopTime;
};

#endif
