#!/bin/sh

VERSION=1.05ern

if [ "$1" = "cross" ]; then
    export CROSSCOMPILE=/opt/Embedix/tools
    export QPEDIR=/opt/Qtopia/sharp
    export QTDIR=/opt/Qtopia/sharp
    export PATH=$QTDIR/bin:$QPEDIR/bin:$CROSSCOMPILE/bin:$PATH
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-sharp-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=arm
elif [ "$1" = "native" ]; then
    export CROSSCOMPILE=
    export QPEDIR=/opt/Qtopia
    export QTDIR=/opt/Qtopia
    export PATH=$QTDIR/bin:$QPEDIR/bin:$PATH:/opt/Embedix/tools/bin
    export TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-x86-g++/
    export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH
    export ARCHITECTURE=x86
else
    echo "usage: $0 cross | native"
    exit 1
fi

tmake -o Makefile timesleuthqpe.pro
make
lrelease timesleuthqpe.pro

for LANGUAGE in en de fr; do
    mkdir -p tmp/CONTROL
    mkdir -p tmp/opt/QtPalmtop/apps/Applications
    mkdir -p tmp/opt/QtPalmtop/bin
    mkdir -p tmp/opt/QtPalmtop/pics
    if [ "$LANGUAGE" != "en" ]; then
	mkdir -p tmp/opt/QtPalmtop/help/${LANGUAGE}/html/timesleuthqpe
	mkdir -p tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    else
	mkdir -p tmp/opt/QtPalmtop/help/html/timesleuthqpe
    fi
    cp timesleuthqpe.desktop tmp/opt/QtPalmtop/apps/Applications
    cp timesleuthqpe tmp/opt/QtPalmtop/bin
    cp Timesleuthqpe.png tmp/opt/QtPalmtop/pics
    if [ "$LANGUAGE" != "en" ]; then
	cp help/${LANGUAGE}/html/*.html tmp/opt/QtPalmtop/help/${LANGUAGE}/html/timesleuthqpe
	cp i18n/${LANGUAGE}/timesleuthqpe.qm tmp/opt/QtPalmtop/i18n/${LANGUAGE}
    else
	cp help/en/html/*.html tmp/opt/QtPalmtop/help/html
    fi
    cat > tmp/CONTROL/control <<END
Version: ${VERSION}
Depends: qpe-base (\$QPE_VERSION)
Priority: optional
Section: Applications
Maintainer: Robert Ernst <robert.ernst@linux-solutions.at>
Architecture: ${ARCHITECTURE}
License: GPL
Description: Timesleuth
 Time tracking tool for the QPE environment.
END
    if [ "$LANGUAGE" != "en" ]; then
	cat >> tmp/CONTROL/control <<END
Package: timesleuthqpe-${LANGUAGE}
Files: bin/timesleuthqpe apps/Applications/timesleuthqpe.desktop pics/Timesleuthqpe.png
Filename: ./timesleuthqpe-${LANGUAGE}_${VERSION}_${ARCHITECTURE}.ipk
END
    else
	cat >> tmp/CONTROL/control <<END
Package: timesleuthqpe
Files: bin/timesleuthqpe apps/Applications/timesleuthqpe.desktop pics/Timesleuthqpe.png
Filename: ./timesleuthqpe_${VERSION}_${ARCHITECTURE}.ipk
END
    fi
    ipkg-build tmp
    rm -rf tmp
done

